%
%  Save current map markers
%
%  This script generates another script that can be used to regenerate
%  your current map drawings. One example use is sharing these
%  drawings with a friend, or transferring them from one game to
%  another.
%
%  Instructions:
%  + use Alt-R on player menu to run this script
%  + you will get a second file requester asking for the name of the
%    file to save to (look close to not accidentally overwrite an
%    important other script!)
%
%  On the receiving end, run the script you just generated using
%  Alt-R. You will now have the old drawings here, too.
%
%  January 2006 by Stefan Reuther
%

UI.FileWindow "Output file", "*.q"
If UI.Result Then
  Open UI.Result For Output As #1
  Print #1, "% saved ", Turn.Date, ", ", Turn.Time
  ForEach Marker Do
    If Type$=0 Then Print #1,"NewLine ",Loc.X,",",Loc.Y,",",End.X,",",End.Y,",",Color
    If Type$=1 Then Print #1,"NewRectangle ",Loc.X,",",Loc.Y,",",End.X,",",End.Y,",",Color
    If Type$=2 Then Print #1,"NewCircle ",Loc.X,",",Loc.Y,",",Radius,",",Color
    If Type$=3 Then Print #1,"NewMarker ",Loc.X,",",Loc.Y,",",Shape,",",Color,",'",Comment,"'"
  Next
  Close #1
EndIf
